<template>
  <div class="sidebar" :data-color="activeColor" :data-image="'/images/sidebar-2.jpg'" :style="{backgroundImage: `url('/images/sidebar-2.jpg')`}">
    <div class="logo">
      <a href="/admin" class="simple-text">
        <img :src="'/images/icon/logo.png'" alt="">
      </a>
    </div>
    <div class="sidebar-wrapper">
      <slot name="content"></slot>
      <md-list class="nav">
        <!--By default vue-router adds an active class to each route link. This way the links are colored when clicked-->
        <slot>
          <sidebar-link v-for="(link,index) in sidebarLinks"
                        :key="link.name + index"
                        :to="link.path"
                        :link="link">
          </sidebar-link>
        </slot>
      </md-list>
    </div>
  </div>
</template>
<script>
import SidebarLink from './SidebarLink.vue'

export default{
  components: {
    SidebarLink
  },
  props: {
    activeColor: {
      type: String,
      default: 'green',
      validator: (value) => {
        let acceptedValues = ['', 'purple', 'blue', 'green', 'orange', 'red']
        return acceptedValues.indexOf(value) !== -1
      }
    },
    sidebarLinks: {
      type: Array,
      default: () => []
    },
    autoClose: {
      type: Boolean,
      default: true
    }
  },
  provide () {
    return {
      autoClose: this.autoClose
    }
  },
}
</script>
<style scoped lang="scss">
  a.simple-text {
    display: flex !important;
    img {
      margin: 0 auto;
      height: 40px;
    }
  }
</style>
<style>
  @media screen and (min-width: 991px) {
    .nav-mobile-menu{
      display: none;
    }
  }
</style>
